<?php
/**
 * @copyright	Copyright (C) 2014 Holest Engineering www.holest.com.
 * @license		GNU General Public License version 2 or later
 */
defined('_JEXEC') or die();

require_once(__DIR__ . DIRECTORY_SEPARATOR . "php-liquid" . DIRECTORY_SEPARATOR . "liquid_loader.php");
use Liquid\Liquid;
use Liquid\Template;
use Liquid\Cache\Local;
	
header('Content-Type: text/html');
$report_path = __DIR__ . DIRECTORY_SEPARATOR . "local_data" . DIRECTORY_SEPARATOR . $_REQUEST["report"] . ".liquid";
if(file_exists($report_path)){
	
	if(isset($_REQUEST["post_data"])){
		$res->post_data = json_decode($_REQUEST["post_data"],true);
	}
	
	if(isset($_REQUEST["get_data"])){
		$res->get_data = json_decode($_REQUEST["get_data"],true);
	}
	
	$template = new Template();
	$template->parse(file_get_contents($report_path));
	echo $template->render((array)$res);
}else{
	echo "UNKNOWN REPORT " . $_REQUEST["report"] . ".liquid";
}
die;